Test::CheckDeps(3)

NAME
Test::CheckDeps - Check for presence of dependencies

VERSION
version 0.002

DESCRIPTION
This module adds a test that assures all dependencies have been installed properly. If requested, it can bail out all testing on error.

FUNCTIONS

  check_dependencies()
Check all 'requires' dependencies based on a local MYMETA or META file.

  check_dependencies_opts($meta, $phase, $type)
Check dependencies in CPAN::Meta object $meta for phase $phase (configure, build, test, runtime, develop) and type $type(requires, recommends, suggests, conflicts). You probably just want to use "check_dependencies" though.

AUTHOR
Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.